package mapsid.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.MapsId;
import javax.persistence.OneToOne;
import javax.persistence.Temporal;

/**
 *
 * @author name
 */
@Entity
@IdClass(value = RequiredPk.class)
public class Optional implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Temporal(javax.persistence.TemporalType.DATE)
    @Column(insertable = false, updatable = false)
    private Date dateCeated;

    @Id
    @Column(insertable = false, updatable = false)
    private String name;

    @OneToOne
    @MapsId
    private Required required;

    public Date getDateCeated() {
        return dateCeated;
    }

    public void setDateCeated(Date dateCeated) {
        this.dateCeated = dateCeated;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Required getRequired() {
        return required;
    }

    public void setRequired(Required required) {
        this.required = required;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 17 * hash + Objects.hashCode(this.required);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Optional other = (Optional) obj;
        if (!Objects.equals(this.required, other.required)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Optional{" + "dateCeated=" + dateCeated + ", name=" + name + '}';
    }

}
