package mapsid.service;

import java.util.Date;
import javax.persistence.EntityManager;
import mapsid.entity.Optional;
import mapsid.entity.Required;
import mapsid.entity.RequiredPk;


public class RequiredService {

    EntityManager entityManager;


    public RequiredService() {
    }

    public RequiredService(EntityManager em) {
        this.entityManager = em;
    }

    public Optional createOptional(Date dateCreated, String name) {

        final RequiredPk requiredPk = new RequiredPk(dateCreated, name);
        final Required required = entityManager.find(Required.class, requiredPk);
        if(required == null){
            throw new RuntimeException("Could not find Required with requiredPk: " + requiredPk);
        }
        Optional optional = new Optional();
        optional.setRequired(required);
        this.entityManager.persist(optional);
        return optional;
        
    }

}
